
# headless9

background services in plan9
## Badges

[![GPLv3 License](https://img.shields.io/badge/License-LGPL%20v3-green.svg)](https://opensource.org/licenses/)
[![Build Status](https://drone.nightmare.haus/api/badges/rudi/headless9/status.svg)](https://drone.nightmare.haus/rudi/headless9)
[![Go Report Card](https://goreportcard.com/badge/git.sdf.org/rudi/headless9)](https://goreportcard.com/report/git.sdf.org/rudi/headless9)
[![Documentation](https://godoc.org/git.sdf.org/rudi/headless9?status.svg)](https://godoc.org/git.sdf.org/rudi/headless9)
## Deployment

Ensure you have already installed Go, then run the following to set up the directory for headless9 admin and usage.

```bash
mkdir -p /adm/headless9/ctl
mkdir -p /adm/headless9/log
touch /adm/services
go install git.sdf.org/rudi/headles9@latest
cp go/bin/headless9 /bin/headless9

```

## Features

- Headless services from plan9 console
- Logging and control for the running services


## Usage/Examples
Command Line Tool:
```bash
headless9 {start|stop|restart|status} plan9HttpApp
```
Service File (default /adm/services):
```
plan9HttpApp arg1 arg2 ...argN
```